class NurseryDetail {
  int? id;
  String? workerName;
  String? trayNumber;
  int? tbNurseryId;

  NurseryDetail({this.id, this.workerName, this.trayNumber, this.tbNurseryId});

  NurseryDetail.clone(NurseryDetail nurseryDetail) {
    this.id = nurseryDetail.id;
    this.workerName = nurseryDetail.workerName;
    this.trayNumber = nurseryDetail.trayNumber;
    this.tbNurseryId = nurseryDetail.tbNurseryId;
  }

  NurseryDetail.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    workerName = json['workerName'];
    trayNumber = json['trayNumber'];
    tbNurseryId = json['tbNurseryId'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['workerName'] = this.workerName;
    data['trayNumber'] = this.trayNumber;
    data['tbNurseryId'] = this.tbNurseryId;
    return data;
  }
}
